<?php get_header(); ?>
	
	<div id="main">
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="entry-navigation">
			<div class="previous-entry"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="next-entry"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div><!-- END: .entry-navigation -->
		
        <div class="entry-cont">
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
			<div class="entry-title clearfix">
				<h1><?php the_title(); ?></h1>
				<?php if ( comments_open() ) { ?>
				<div class="discussion-toggle">
					<?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>
				</div>
				<?php } ?>
			</div><!--/ .entry-title -->
			
			<div id="article">
			
				<div class="entry-meta-before">
					by <?php the_author_posts_link(); ?> on <?php echo get_the_date('F jS, Y') ?>
				</div><!--/ .entry-meta-before -->
				
				<div class="entry-content clearfix">
					<?php 
					if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
					  the_post_thumbnail('large');
					} 
					?>
					<?php the_content(); ?>	
					<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				</div><!-- END: .entry-content -->
				
				<?php the_tags('<p class="tags">Tags: ', ', ', '</p>'); ?> 
				<p class="tags">Categories: <?php the_category(', '); ?></p>
				
				<div class="entry-meta">
					<?php edit_post_link( __( 'Edit', 'ftf' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .entry-meta -->
	
				<div id="author-box" class="clearfix">
					<div class="author-avatar">
						<?php $author = get_the_author_meta('email');
						echo get_avatar( $author, 56 );	?>
					</div><!--/ .author-avatar -->
					<div class="author-about">
						<p class="author-name">About the Author, <?php the_author_posts_link(); ?></p>
						<p class="author-desc"><?php the_author_meta('description'); ?></p>
					</div><!--/ .author-about -->
				</div><!--/  -->
							
			</div><!--/ #article -->

		</div><!-- END: #post-<?php the_ID(); ?> -->
        <div class="clearfix"></div>
        </div><!--/ #entry-cont -->
		<?php ftf_post_nav(); ?>
		<p>&nbsp;</p>
		<div id="discussion">	
			<?php comments_template(); ?>
		</div><!--/ #discussion  -->

		<?php endwhile; else: ?>
	
			<p>Sorry, no posts matched your criteria.</p>
	
		<?php endif; ?>
	
	</div><!-- END: #main -->		
		
<?php get_sidebar(); ?>	

<?php get_footer(); ?>